
phplibdir=$(prefix)/lib/php
phptaintdir=$(INSTALL_ROOT)$(phplibdir)/taint
phpinidir=$(INSTALL_ROOT)/etc/php

TAINT_PHP_FILES = \
    taint.php

TAINT_INI_FILES = \
    php.ini

RE2C=re2c

install-taint-libs:
	@echo "Installing taint php libraries:  $(phptaintdir)"
	@$(mkinstalldirs) $(phptaintdir)
	@for f in $(TAINT_PHP_FILES); do \
		$(INSTALL) $(top_srcdir)/ext/taint/$$f $(phptaintdir); \
	done;

install-taint-ini:
	@echo "Installing taint ini files:  $(phpinidir)"
	@$(mkinstalldirs) $(phpinidir)
	@for f in $(TAINT_INI_FILES); do \
		cat $(top_srcdir)/ext/taint/$$f | \
		  sed "s|PHPLIBDIR|$(INSTALL_ROOT)$(phplibdir)|" \
		    > $(phpinidir)/$$f; \
	done;

$(srcdir)/taint.c: $(srcdir)/pdo_user_sql_parser.h

$(builddir)/pdo_user_sql_tokenizer.lo: $(srcdir)/pdo_user_sql_tokenizer.c $(srcdir)/pdo_user_sql_parser.h

$(srcdir)/pdo_user_sql_tokenizer.c: $(srcdir)/pdo_user_sql_tokenizer.re
	$(RE2C) -o $@ $< 

$(srcdir)/pdo_user_sql_parser.c: $(srcdir)/pdo_user_sql_parser.lemon
	$(LEMON) $<

$(srcdir)/pdo_user_sql_parser.h: $(srcdir)/pdo_user_sql_parser.lemon
	$(LEMON) $<

# mini hack
install: $(all_targets) $(install_targets) install-taint-libs install-taint-ini
