--TEST--
TAINT copy the policy when copying integer zvals
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php

class Policy
{
  public $s = "policy1";
  function __toString () {return $this->s;}
  function __output() {}
}

function print_it ($a, $b, $c) {
  echo $a; echo "\n";
  echo $b; echo "\n";
  echo $c; echo "\n";
  echo taint_get_policy ($a); echo "\n";
  echo taint_get_policy ($b); echo "\n";
  echo taint_get_policy ($c); echo "\n";
}

// test integeres
$p1 = new Policy ();
$p1->s = "policy1";

$a = 1;
taint_set_policy ($a, $p1);
$b = $a;
$c = &$b;
print_it ($a, $b, $c);

// test strings
$p2 = new Policy ();
$p2->s = "policy2";

$x = "x";
taint_set_policy ($x, $p2);
$y = $x;
$z = &$x;
print_it ($x, $y, $z);

?>
--EXPECT--
1
1
1
policy1
policy1
policy1
x
x
x
policy2
policy2
policy2
