--TEST--
TAINT set policy object on integer and string zvals
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php
class Policy
{
  public $s = "policy1";
  function __toString () {return $this->s;}
  function __output() {}
}

// Integers
$p = new Policy ();
$a = 123;
taint_set_policy ($a, $p);
echo $a; echo "\n";

// We should be able to set variable to something else, after assigning a policy
// zend should ultimately cleanup $p and not spit out a memory leak message
$a = 999;
echo $p; echo "\n";


// strings
$a = "string1";
taint_set_policy ($a, $p);
echo $a; echo "\n";
$a = "string2";
echo $p; echo "\n";



?>
--EXPECT--
123
policy1
string1
policy1
