--TEST--
TAINT env request
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--INI--
--ENV--
return <<<END
SCRIPT_NAME=whatever
END;
--FILE--
<?php
# Workaround to avoid absolute script pathnames in error messages.
include "taint_tests_error_handler.php";

$script_name = $_ENV['SCRIPT_NAME'];
debug_zval_dump($script_name);

echo "Welcome back to $script_name\n";
?>
--EXPECT--
string(8) "whatever" refcount(3) taint(0xff)
Warning: echo(): Argument contains data that is not converted with htmlspecialchars() or htmlentities() in ext/taint/tests/env.php on line 8
Welcome back to whatever
