--TEST--
TAINT hash test
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--INI--
--FILE--
<?php

for ($p = 0; $p < 8; $p++) {
	$h = sprintf("0x%x", 1 << $p);
	eval('$junk = "val".$h; taint($junk, $h); $ar[$h] = $junk;');
}
debug_zval_dump($ar);

?>
--EXPECT--
array(8) refcount(2){
  ["0x1"]=>
  string(6) "val0x1" refcount(1) taint(0x1)
  ["0x2"]=>
  string(6) "val0x2" refcount(1) taint(0x2)
  ["0x4"]=>
  string(6) "val0x4" refcount(1) taint(0x4)
  ["0x8"]=>
  string(6) "val0x8" refcount(1) taint(0x8)
  ["0x10"]=>
  string(7) "val0x10" refcount(1) taint(0x10)
  ["0x20"]=>
  string(7) "val0x20" refcount(1) taint(0x20)
  ["0x40"]=>
  string(7) "val0x40" refcount(1) taint(0x40)
  ["0x80"]=>
  string(7) "val0x80" refcount(2) taint(0x80)
}
