--TEST--
TAINT check proper cleanup with byte-level policies  
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php
require_once('taint/taint.php');

function foo ($s1, $s2) {
  echo "in foo s1: " . $s1 . ": " . mp_to_str(taint_get_policy($s1)) . "\n";
  echo "in foo s2: " . $s2 . ": " . mp_to_str(taint_get_policy($s2)) . "\n";
  return "$s1 $s2";
}

$pa = new DummyPolicy("p1");
$val = "Secret";
taint_set_policy($val, $pa);


echo $val, ": ", mp_to_str(taint_get_policy($val)), "\n";
$r = foo ("Hello", $val);
echo $r, ": ", mp_to_str(taint_get_policy($r)), "\n";
?>
--EXPECT--
Secret: inf@0: p1
in foo s1: Hello: 
in foo s2: Secret: inf@0: p1
Hello Secret: 6@6: p1
