--TEST--
TAINT simple polist set and get
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php
require_once('taint/taint.php');

$a = 123;
taint_set_policy ($a, new DummyPolicy ("p1"));
$x = taint_get_policy ($a);
echo "$a: " . "[" . mp_to_str($x) . "]\n";

// We should be able to set variable to something else, after assigning a policy
$a = 999; 
$x = taint_get_policy ($a);
echo "$a: " . "[" . mp_to_str($x) . "]\n";


$a = "string1";
taint_set_policy ($a, new DummyPolicy ("p2"));
$x = taint_get_policy ($a);
echo "$a: " . "[" . mp_to_str($x) . "]\n";

// We should be able to set variable to something else, after assigning a policy
// policy should be empty.
$a = "string2";
$x = taint_get_policy ($a);
echo "$a: " . "[" . mp_to_str($x) . "]\n";

?>
--EXPECT--
123: [inf@0: p1]
999: []
string1: [inf@0: p2]
string2: []
