#ifndef ZEND_DEBUG_H
#define ZEND_DEBUG_H

// DEBUG_ZEND can be:
//   0 no output
//   1 only our output
//   2 our output and Zend's output

static int debug_zend = -1;

#if ZEND_DEBUG
  #define DEBUG_ZEND (debug_zend == -1) ? (debug_zend = getenv ("DEBUG_ZEND") ? 2 : 0) : debug_zend
  #define DEBUG_POLICY DEBUG_ZEND
#else
  #define DEBUG_POLICY 0
  #define DEBUG_ZEND 0
#endif
  
#define dprintf if (DEBUG_POLICY) php_printf
#define dzprintf if (DEBUG_POLICY) zend_printf

#endif


