#pragma once

#include "zend.h"

// caching frequently used, constant zvals
// static indices for now (no set/store)

int
zval_pool_init(size_t size);

void
zval_pool_fini();

zval *
zval_pool_get(size_t index);

#define ZVAL_POOL_NULL			0
// functions
#define ZVAL_POOL_NULL_FILTER   4
#define ZVAL_POOL_ECHO_FILTER	1
#define ZVAL_POOL_OUTPUT		2 
#define ZVAL_POOL_POLICY_EVAL	3 
// type names
//#define ZVAL_POOL_OPEN


