/*
   +----------------------------------------------------------------------+
   | Zend Engine                                                          |
   +----------------------------------------------------------------------+
   | Copyright (c) 2007 Zend Technologies Ltd. (http://www.zend.com)      |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.00 of the Zend license,     |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.zend.com/license/2_00.txt.                                |
   | If you did not receive a copy of the Zend license and are unable to  |
   | obtain it through the world-wide-web, please send a note to          |
   | license@zend.com so we can mail you a copy immediately.              |
   +----------------------------------------------------------------------+
   | Authors: Wietse Venema <wietse@porcupine.org>                        |
   +----------------------------------------------------------------------+
*/

#ifndef TAINT_H_INCLUDED
#define TAINT_H_INCLUDED

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#define TAINT_EXT_NAME		"taint"
#define TAINT_EXT_VERSION	"1.0"
#include "php.h"

extern zend_module_entry taint_module_entry;
#define phpext_taint_ptr &taint_module_entry

extern long taint_debug;

PHPAPI void php_info_print_table_start(void);
PHPAPI void php_info_print_table_end(void);
PHPAPI void php_info_print_table_header(int num_cols, ...);

#endif
