--TEST--
TAINT merge the policies from two integer zvals
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php
require_once ("taint/taint.php");

function printp($v) {
  echo mp_to_str(taint_get_policy($v)) . "\n";
}

$a = 5;
taint_set_policy ($a, new DummyPolicy("p1"));

// merge with null policy
$b = $a + 10;
echo printp ($a);
echo printp ($b);

// merge 2 non-empty, equal policies
echo "same policy\n";
$c = $a + $b;
echo printp ($a);
echo printp ($b);
echo printp ($c);

// merge 2 non-empty, unequal policies
$x = 1;
$y = 2;
taint_set_policy ($x, new DummyPolicy("p1"));
taint_set_policy ($y, new DummyPolicy("p2"));

echo "add\n";
$z = $x + $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "sub\n";
$z = $x - $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "mul\n";
$z = $x * $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "div\n";
$z = $x / $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "mod\n";
$z = $x % $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "bitor\n";
$z = $x | $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "bitand\n";
$z = $x & $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "bitxor\n";
$z = $x ^ $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "shiftright\n";
$z = $x >> $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "shiftleft\n";
$z = $x << $y;
echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "xor\n";
$z = ($x xor $y);

echo printp ($x);
echo printp ($y);
echo printp ($z);

echo "and\n";
$z = $x && $y;
//$z = $x && true;
//$z = true && $y;

//$p = printp($z);
//echo $p->policies[0];

echo printp ($x);
echo printp ($y);
echo printp ($z);

?>
--EXPECT--
