--TEST--
TAINT Test that old taint system propagates taint when cloning objects.
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php

class Foo
{
  public $s;
  function Foo ($s)
  {
    $this->s = $s;
  }
}



$x = new Foo ("Foobar");
taint ($x, 0xff);
echo istainted($x)."\n";

$y = $x;
echo istainted($y)."\n";

$z = clone $y;
echo istainted($z)."\n";

untaint ($y);
echo istainted($y)."\n";
echo istainted($z)."\n";

?>
--EXPECT--
255
255
255
0
255
