--TEST--
TAINT basic object references and accesses without any policy objects.
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php

class Bar {
  public $s;
  function Bar () {
    $this->s = "policy1";
  }
  function __toString () {
    return $this->s;
  }
  function __clone () {
    echo "CLONING bar!\n";
  }
  function set_s ($s2) {
    $this->s = $s2;
  }
}

class Foo {
  public $field;
  function Foo ($f) {
    $this->field = $f;
  }
  function __toString () {
    return $this->field;
  }
  function __clone () {
    echo "CLONING foo!\n";
  }
  function get_field () {
    return $this->field;
  }
}

$p = new Bar ();
$p->set_s ("policy1");

$a = new Foo ($p);
$b = $a;
$c = &$a;

$a->get_field()->set_s ("policyA");
$b->get_field()->set_s ("policyB");
$c->get_field()->set_s ("policyC");

echo $p;
echo "\n";
echo $a->get_field ();
echo "\n";
echo $b->get_field ();
echo "\n";
echo $c->get_field ();
echo "\n";
?>
--EXPECT--
policyC
policyC
policyC
policyC
