--TEST--
TAINT merge the policies from two integer zvals
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php
require_once("taint/taint.php");
$a = "hello";
$b = "world";
taint_set_policy ($a, new DummyPolicy("p1"));
taint_set_policy ($b, new DummyPolicy("p2"));

$c = $a . " " . $b;

echo "$a: " . mp_to_str (taint_get_policy ($a)) . "\n";
echo "$b: " . mp_to_str (taint_get_policy ($b)) . "\n";
echo "$c: " .  mp_to_str(taint_get_policy ($c)) . "\n";

// merge with empty policy
//echo $a."\n";

// merge with non-empty policy

// check merged policies

/*
echo $b."\n";
echo taint_get_policy ($a)."\n";
echo taint_get_policy ($b)."\n";

//echo "changing b\n";
$b += 10;

taint_set_policy ($b, NULL);
*/
?>
--EXPECT--
hello: inf@0: p1
world: inf@0: p2
hello world: 5@0: p1, 5@6: p2
