--TEST--
TAINT taint_get_policy returns a reference to the policy.
--SKIPIF--
<?php if (!extension_loaded('taint')) die('skip no taint support'); ?>
--FILE--
<?php
require_once('taint/taint.php');
class Policy
{
  public $s;
  function Policy () {
    $this->s = "policy1";
  }
  function __toString () {
    return $this->s;
  }
  function __clone () {
    //echo "CLONING policy!\n";
  }
  function set_s ($s2) {
    $this->s = $s2;
  }
}

class Foo {
  public $s;
  function Foo ($s) {
    $this->s = $s;
  }
  function __toString () {
    return $this->s;
  }
  function __clone () {
    //echo "CLONING Foo\n";
  }
}

$p1 = new Policy ();
$p1->s = "policy1";

// both objects and strings have buggy behavior
//$a = new Foo ("string1"); 
$a = 1234;

taint_set_policy ($a, $p1);
$b = $a;
$c = &$a; // uncommenting this line causes strange behavior.

$mp = taint_get_policy ($a);
foreach ($mp as $k => $ent) {
  $mp[$k]['policy']->set_s ("policy2");
}

echo mp_to_str($mp); echo "\n";
echo mp_to_str(taint_get_policy ($a)); echo "\n";

?>
--EXPECT--
inf@0: policy2
inf@0: policy2


